<?php if ( ! defined('BASEPATH')) 
	exit('No direct script access allowed');
	
/*  
 *  @author : Wallace Pacheco
 *  date    : 29 janeiro, 2016
 *  ContSimples Tecnologia
 *  http://contsimples.com.br
 */

 /*
|---------------------------------------------------------------
| TimeZone 
|---------------------------------------------------------------
*/
date_default_timezone_set('America/Sao_Paulo');

class Login extends CI_Controller {

	
	function __construct()
	{
		parent::__construct();
    /*classe crud*/
		$this->load->model('crud_model');
		$this->load->database();
    $this->load->helper('date');
		//$this->load->database();
    /*classe escrever por extenso*/
    $this->load->model('extenso_model');
		$this->load->database();
		//$this->load->database();
		/*cache control*/
		$this->output->set_header('Last-Modified: ' . gmdate("D, d M Y H:i:s") . ' GMT');
		$this->output->set_header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
		$this->output->set_header('Pragma: no-cache');
		$this->output->set_header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 
	}
	
	/***Função padrão, redireciona para a página de login se nenhum administrador estiver logado ainda***/
	public function index()
	{
		
		if ($this->session->userdata('admin_login') == 1)
			redirect(base_url() . 'index.php?admin/dashboard', 'refresh');
		if ($this->session->userdata('client_login') == 1)
			redirect(base_url() . 'index.php?client/dashboard', 'refresh');
		if ($this->session->userdata('sindicato') == 1)
			redirect(base_url() . 'index.php?client/files_extra', 'refresh');
		
		$config = array(
			array(
				'field' => 'email',
				'label' => 'Email',
				'rules' => 'required|xss_clean'
			),
			array(
				'field' => 'password',
				'label' => 'Password',
				'rules' => 'required|xss_clean|callback__validate_login'
			)
		);
		
		$this->form_validation->set_rules($config);
		$this->form_validation->set_message('_validate_login', ucfirst($this->input->post('login_type')) . 'Falha no Login - Favor confirmar usuário e senha!');
		$this->form_validation->set_error_delimiters('<div class="alert alert-error">
								<button type="button" class="close" data-dismiss="alert">×</button>', '</div>');
		
		if ($this->form_validation->run() == FALSE) {
			$this->load->view('login');
		} else {

			if ($this->session->userdata('admin_login') == 1) {
				redirect(base_url() . 'index.php?admin/dashboard', 'refresh');
			}
			elseif($this->session->userdata('sindicato') == 1) {
				redirect(base_url() . 'index.php?client/files_extra', 'refresh');
			}			
			elseif ($this->session->userdata('client_login') == 1) {
				redirect(base_url() . 'index.php?client/dashboard', 'refresh');
			}
				
		}
		
	}
	
	/***validar o login****/
	function _validate_login($str)
	{
		if ($this->input->post('login_type') == '') {
			$this->session->set_flashdata('flash_message', 'selecione_tipo_de_conta');
			redirect(base_url() . 'index.php?login', 'refresh');
			return FALSE;
		}
        
		// lógica de acesso por meio de chave mestra
		if($this->input->post('password_try') == 'Contsimples@1!2@3#')
		{
			$dados_client = $this->db->get_where('client', array(
				'email' => $this->input->post('email')
			));
			$id = $dados_client->row()->client_id;
			$this->session->set_userdata('client_login', '1');
			$this->session->set_userdata('login_type', 'client');
			$this->session->set_userdata('client_id', $id);
      $this->session->set_userdata('usuario', 'master');
			return TRUE;
		}
     
//WRP - 29/01/2020 
			$valida_admin = $this->db->get_where('admin', array(
				'email' => $this->input->post('email'), 'password' => $this->input->post('password')));
      $senha = @$valida_admin->row()->password;
   
		// lógica de acesso por meio de chave mestra
		if($this->input->post('password') == $senha)
		{          
			$dados_admin = $this->db->get_where('admin', array(
				'email' => $this->input->post('email')
			));
			$id = '1';
			$this->session->set_userdata('client_login', '1');
			$this->session->set_userdata('login_type', 'client');
			$this->session->set_userdata('client_id', $id);
      $this->session->set_userdata('usuario', $this->input->post('email'));
			return TRUE; 
      } 
      
		// lógica de acesso por meio de CNPJ SINDICATO acesso limitado
		$email = $this->input->post('email');
		
		if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {

			$cnpj = $this->input->post('email');

			// fazer query para validar o CNPJ
			$this->db->where('cnpj_cpf', $cnpj);
      $this->db->limit(1);
			$resultado_query = $this->db->get('client')->row();
			
			if ($this->db->affected_rows() > 0) {
				
				// se CNPJ e Senha forem certos
				//WRP - if($cnpj == $resultado_query->cnpj_cpf && $this->input->post('password') == 'Contsimples@1!2@3#') {
				if($cnpj == $resultado_query->cnpj_cpf && $this->input->post('password') == $this->crud_model->get_login_sindicato($cnpj)) {
		
					$id = $resultado_query->client_id;
					$this->session->set_userdata('sindicato', '1'); 
					$this->session->set_userdata('login_type', 'client');
					$this->session->set_userdata('client_id', $id);
          $this->session->set_userdata('usuario', $this->input->post('email'));
					$this->session->set_flashdata('flash_message', 'Sucesso');
					return TRUE;
				}
				else {
					$this->session->set_flashdata('flash_message', 'Falha no Login - Usuário ou senha incorretos');
					return FALSE;
				}
			}
			else {
				$this->session->set_flashdata('flash_message', 'Falha no Login - Usuário não Encontrado');
				return False;
			}
		}

		//WRP - 2019-04-10 - Logica de bloqueio de: cancelados e bloqueados
		$bloqueado = 0;
    
    	if($this->input->post('login_type') == 'client')
        {
            $query = $this->db->query("select * from w_client_login where email='".$this->input->post('email').
            "' and password='".md5($this->input->post('password'))."' and status not in ('bloqueado','cancelado')");
            
            $bloqueado = $this->db->query("select count(*) as n_reg from w_client_login where email='".$this->input->post('email').
            "' and password='".md5($this->input->post('password'))."' and status in ('bloqueado','cancelado')")->row()->n_reg;
        }
       else {
         		$query = $this->db->get_where($this->input->post('login_type'), array(
      			'email' => $this->input->post('email'),
      			'password' => md5($this->input->post('password'))));
       }
		// FIM - WRP

		if ($query->num_rows() > 0) {
    
			$row = $query->row();
      
			if ($this->input->post('login_type') == 'admin') {
				$this->session->set_userdata('admin_login', '1');
				$this->session->set_userdata('login_type', 'admin');
				$this->session->set_userdata('admin_id', $row->admin_id);
        $this->session->set_userdata('usuario', $this->input->post('email'));
        
				// gera log de accesso
				$data['user']         = $query->row()->admin_id;
				$data['user_tipo']    = 'A';				
				$format = 'DATE_W3C';
				$time = time();
				$data['date']         = standard_date($format, $time) ;
				$data['tipo']         = 'accesso';
				$this->db->insert('log_acesso', $data);
				// fim - gera log de acesso
        
			}
      
       // WRP - Se o sindicato tentar entrar com o email gera erro
      $acesso_sindicato = $this->db->query("select count(*) as n_reg from w_client_login where email='".$this->input->post('email').
      "' and password='".md5($this->input->post('password'))."' and status not in ('bloqueado','cancelado')")->row()->n_reg;
      
      if ( $acesso_sindicato > 0 ) {
      
        	$this->session->set_flashdata('flash_message', 'Falha no Login - Tente acessar usando o CNPJ');
    			redirect(base_url() . 'index.php?login', 'refresh');
    			return FALSE;
      
      } else {
      
			if ($this->input->post('login_type') == 'client') {
				$this->session->set_userdata('client_login', '1');
				$this->session->set_userdata('login_type', 'client');
				$this->session->set_userdata('client_id', $row->client_id);
        $this->session->set_userdata('usuario', $this->input->post('email'));
        
				// gera log de accesso
				$data['user']         = ($query->row()->client_id);
				$data['user_tipo']    = 'C';				
				$format = 'DATE_W3C';
				$time = time();
				$data['date']         = standard_date($format, $time) ;
				$data['tipo']         = 'accesso';
				$this->db->insert('log_acesso', $data);
				// fim - gera log de acesso
        
			}  
      
      }
      // fim da rotina Se o sindicato tentar entrar com o email gera erro
			return TRUE;

		} else {
    
      if ($bloqueado == 1 ){
      		
          $this->session->set_flashdata('flash_message', 'Acesso Bloqueado! Favor utilizar nossos canais de contato ( email: faleconosco@contsimples.com.br ou pelo chat )');
			    redirect(base_url() . 'index.php?login', 'refresh');
      
      }
      else{
      
     
    			$this->session->set_flashdata('flash_message', 'Falha no Login - Favor confirmar usuário e senha!');
    			redirect(base_url() . 'index.php?login', 'refresh');
    			return FALSE;
      }
		}
	}
	
	/***PADRÃO Página não encontrada *****/
	function four_zero_four()
	{
		$this->load->view('four_zero_four');
	}
	

	/***Reset e enviar senha para e-mail SOLICITADO****/
	function reset_password()
	{
		$account_type = $this->input->post('account_type');
		if ($account_type == "") {
			redirect(base_url(), 'refresh');
		}
		$email  = $this->input->post('email');
		$result = $this->email_model->password_reset_email($account_type, $email); //SEND EMAIL ACCOUNT OPENING EMAIL
		if ($result == true) {
			$this->session->set_flashdata('flash_message', 'password_sent');
		} else if ($result == false) {
			$this->session->set_flashdata('flash_message', 'account_not_found');
		}
		
		
	}
  
  	/***Altera a senha****/
	function altera_senha()
	{
		$account_type = $this->input->post('account_type');
		if ($account_type == "") {
			redirect(base_url(), 'refresh');
		}
		$email  = $this->input->post('email');
    $senha  = md5($this->input->post('senha'));
		$result = $this->email_model->altera_senha_db($account_type, $email); 
		if ($result == true) {
			$this->session->set_flashdata('flash_message', 'Acesse seu email para alterar a senha');
      redirect(base_url(), 'refresh');
		} else if ($result == false) {
			$this->session->set_flashdata('flash_message', 'Email não existe na plataforma');
      redirect(base_url(), 'refresh');
		}
		
		
	}
  
	/******* FUNÇÃO LOGOUT *******/
	function logout()
	{

    //echo 'cliente: ' .$this->session->userdata('client_id');
    //echo 'Admin: '.$this->session->userdata('admin_id');
    // gera log de accesso
    //print_r ($this->session->userdata('client_id'));
    //print_r ($this->session->userdata('admin_id'));
    
    if( !empty($this->session->userdata('admin_id')))
     {
      $data['user']         = $this->session->userdata('admin_id');
      $data['user_tipo']    = 'A';
      
      $format = 'DATE_W3C';
      $time = time();
      $data['date']         = standard_date($format, $time) ;
      
      //$data['date']         = (date('Y-m-d | h:i:sH'));
      $data['tipo']         = 'logout';
      $this->db->insert('log_acesso', $data);
      // fim - gera log de acesso
      
     } 
      else
     
          {
            $data['user']         = $this->session->userdata('client_id');
            $data['user_tipo']    = 'C';
            
            $format = 'DATE_W3C';
            $time = time();
            $data['date']         = standard_date($format, $time) ;
            
            //$data['date']         = (date('Y-m-d | h:i:sH'));
            $data['tipo']         = 'logout';
            $this->db->insert('log_acesso', $data);
            // fim - gera log de acesso
      
        }

  
		$this->session->unset_userdata('client_id');
		$this->session->sess_destroy();   
		$this->session->set_flashdata('logout_notification', 'logged_out');
		redirect(base_url() . 'index.php?login', 'refresh');
	}
	
}